%define req_gconf2_version	1.1.1
%define req_orbit_version	2.9.0

%define pkgname gnome-vfs
%define api_version	2
%define lib_major	0
%define libname	%mklibname %{name}_ %{lib_major}
%define libnamedev %mklibname -d %{name}

%if %mdkver >= 200610
%define enable_hal 1
%else
%define enable_hal 0
%endif

Summary:	GNOME virtual file-system libraries
Name:		%{pkgname}%{api_version}
Version: 2.22.0
Release: %mkrel 2
License:	LGPL
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# (gw) 2.6.0-1mdk set default web browser
Patch5:		gnome-vfs-2.8.2-webclient.patch
# (fc) 2.8.2-1mdk handle about: url (Fedora)
Patch8:		gnome-vfs-2.7.90-schema_about_for_upstream.patch
# (fc) 2.8.3-5mdk support pamconsole mount option (Fedora)
Patch10:	gnome-vfs-2.8.1-console-mount-opt.patch
# (fc) 2.17.91-2mdv replace references to gnomemeeting with ekiga
Patch11:	gnome-vfs-2.17.91-fixh323.patch
# (fc) 2.17.91-3mdv allow OnlyShowIn=KDE .desktop to be used when running under KDE (Mdv bug #26999)
Patch12:	gnome-vfs-2.17.91-onlyshow.patch
# (fc) 2.18.0.1-2mdv fix crash when fstab is being edited (Ubuntu) (GNOME bug #300547)
Patch13:	gnome-vfs-2.20.0-fstab-edit-crash.patch
# (fc) 2.18.0.1-2mdv fix uuid and label mount point duplication (initial idea from Ubuntu bug #57701) (Mdv bug #32792)
Patch14:	gnome-vfs-2.20.0-uuid-label-mount.patch
# (fc) 2.18.0.1-2mdv resolve mount point fstab symlinks (Ubuntu)
Patch15:	gnome-vfs-2.20.0-resolve-fstab-symlinks.patch
# (fc) 2.20.3-3mdv workaround SMB servers not liking return > 64KB (SUSE, GNOME bug #332281)
Patch16:	gnome-vfs2-smb-bufsize.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gawk
BuildRequires:  avahi-client-devel avahi-glib-devel
BuildRequires:  libacl-devel
%if %enable_hal
BuildRequires:  hal-devel >= 0.5
BuildRequires:  dbus-glib-devel
%endif
BuildRequires:  perl-XML-Parser
BuildRequires:  gnome-mime-data
BuildRequires:	bzip2-devel openssl-devel fam-devel
BuildRequires:  libsmbclient-devel >= 3.0.20
BuildRequires:	libGConf2-devel >= %{req_gconf2_version}
BuildRequires:	libORBit2-devel >= %{req_orbit_version}
BuildRequires:  gtk-doc
BuildRequires:	intltool
BuildRequires:  glib2-devel >= 2.9.3
BuildRequires:  dbus-devel
BuildRequires:	libxml2-devel
Requires:	%{libname} = %{version}
Requires(post):	GConf2 >= %{req_gconf2_version}
Requires(preun):	GConf2 >= %{req_gconf2_version}
Requires:	dbus-x11
Conflicts:	libgnome2 <= 2.4.0
Requires:	shared-mime-info, libsmbclient
# needed for www-browser
Requires:	desktop-common-data
Obsoletes:	gnome-vfs-extras
Provides:	gnome-vfs-extras

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.



%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Requires:	gnome-mime-data >= 2.0.0
Requires:   %{name} >= %{version}-%{release}
Conflicts: %{name} < 2.10.1-9mdk

%description -n %{libname}
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package contains the main GNOME VFS libraries, which is required
by the basic GNOME 2 system.


%package -n %{libnamedev}
Summary:	Libraries and include files for gnome-vfs
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	libbonobo2_x-devel
Requires:   libGConf2-devel >= %{req_gconf2_version}
Obsoletes: %mklibname -d %{name}_ %{lib_major}

%description -n %{libnamedev}
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package includes libraries and header files for developing
GNOME VFS applications.


%prep
%setup -q -n %{pkgname}-%{version}
%patch5 -p1 -b .webclient
%patch8 -p1 -b .about
%patch10 -p1 -b .pamconsole
%patch11 -p1 -b .fixh323
%patch12 -p1 -b .onlyshow
%patch13 -p1 -b .fstab-edit-crash
%patch14 -p1 -b .uuid-label-mount
%patch15 -p1 -b .resolve-fstab-symlinks
%patch16 -p1 -b .smb-bufsize

%build

%configure2_5x --enable-gtk-doc=yes --disable-selinux \
%if %enable_hal
--enable-hal
%else
--disable-hal
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# multiarch policy
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/gnome-vfs-2.0/libgnomevfs/gnome-vfs-file-size.h


# we ship our own files in drakconf and drakwizard
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gnome-vfs-2.0/vfolders/{system,server}-settings.vfolder-info

# don't package these
rm -f %buildroot%{_libdir}/%{pkgname}-*/modules/*a

%{find_lang} %{pkgname}-2.0

%clean
rm -rf %{buildroot}

%define schemas desktop_default_applications desktop_gnome_url_handlers system_dns_sd system_http_proxy system_smb 

%post 
%post_install_gconf_schemas %schemas

%preun
%preun_uninstall_gconf_schemas %schemas

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{name} -f %{pkgname}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/%{pkgname}-*
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%_datadir/dbus-1/services/*.service

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgnomevfs-2.so.%{lib_major}*
%dir %{_libdir}/%{pkgname}-*
%dir %{_libdir}/%{pkgname}-*/modules
%{_libdir}/%{pkgname}-2.0/modules/*.so

%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{pkgname}-*/include
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Mar 26 2008 Emmanuel Andry <eandry@mandriva.org> 2.22.0-2mdv2008.1
+ Revision: 190530
- Fix lib group

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183801
- new version

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2.21.90-2mdv2008.1
+ Revision: 176410
- Replace dependency on mandrake_desk with desktop-common-data (for www-browser)

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 160167
- new version
- drop patch 17

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.1-2mdv2008.1
+ Revision: 110523
- Patch16 (SUSE): workaround SMB servers not liking return > 64KB (SUSE, GNOME bug #332281)
- Patch17: fix uri handling when using non-UTF8 locale (GNOME bug #498261)

* Mon Nov 12 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 108287
- new version

* Mon Oct 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.0
+ Revision: 94317
- Patch13 (Ubuntu): fix crash when fstab is being edited (GNOME bug #300547)
- Patch14: fix uuid and label mount point duplication (Mdv bug #32792)
- Patch15 (Ubuntu): resolve mount point fstab symlinks

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89324
- new version

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71815
- new version
- new devel name

* Fri Jul 27 2007 Götz Waschk <waschk@mandriva.org> 2.19.3-1mdv2008.0
+ Revision: 56305
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 36170
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2008.0
+ Revision: 14381
- new version


* Tue Mar 13 2007 Götz Waschk <waschk@mandriva.org> 2.18.0.1-1mdv2007.1
+ Revision: 142334
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141696
- new version
- readd ChangeLog to the devel package

* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.17.91-4mdv2007.1
+ Revision: 130687
- no need to package big ChangeLog when NEWS is already there

* Thu Mar 01 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-3mdv2007.1
+ Revision: 130457
- Patch12: unhide OnlyShowIn=KDE apps when running under KDE (Mdv bug #26999)

* Fri Feb 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2.17.91-2mdv2007.1
+ Revision: 121659
- Patch11: fix callto and h323 uri to use ekiga, not GNOMEmeeting

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 118913
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111777
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix requires

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-2mdv2007.1
+ Revision: 100346
- rebuild

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 99163
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 98426
- new version

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-2mdv2007.1
+ Revision: 89567
- add missing build requires, enabling avahi and ACL support

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 86208
- new version
- unpack patches

* Tue Nov 07 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.0
+ Revision: 77059
- new version
- drop patch 11
- Import gnome-vfs2

* Fri Oct 06 2006 Gtz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- drop patches 12,13
- New version 2.16.1

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-4mdv2007.0
- Patch13: fix https crash (Mdv bug #347470)

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-3mdv2007.0
- Patch12 (CVS): various CVS fixes

* Fri Sep 08 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Remove patches 12 (yelp supports man pages now) and 13 (no longer needed,
  causes crashes as bug #25319)
- Patch11: don't print warnings when no session bus is running

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- drop patch 14
- New release 2.16.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.92-1mdv2007.0
- Release 2.15.92

* Wed Aug 09 2006 Gtz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- fix buildrequires
- new version

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-5mdv2007.0
- Patch14: allow to disable selinux support

* Fri Aug 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.15.90-4mdv2007.0
- rebuild w/o selinux on x86_64

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-3mdv2007.0
- Rebuild with latest dbus

* Sat Jul 29 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.90-2mdv2007.0
- Fix buildrequires to requires avahi (not howl)

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1mdv2007.0
- New release 2.15.90

* Sat Jul 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.15.3-3
- add BuildRequires: libxml2-devel

* Wed Jul 12 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.3-2mdv2007.0
- Add missing dependency on dbus-x11
- fix buildrequires

* Wed Jul 12 2006 Gtz Waschk <waschk@mandriva.org> 2.15.3-1mdv2007.0
- drop bonobo dep
- update file list
- New release 2.15.3

* Tue Jun 13 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdv2007.0
- New release 2.15.2

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.1-1mdv2007.0
- Release 2.15.1

* Wed May 31 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- drop patch 14
- New release 2.14.2

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-2mdk
- Rebuild with latest hal

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdk
- New release 2.14.1

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0
- regenerate patches 14
- remove patches 7 (no longer needed), 16 (merged upstream)

* Thu Mar 02 2006 Gtz Waschk <waschk@mandriva.org> 2.12.2-6mdk
- rebuild with howl compat from avahi

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-5mdk
- Fortify package uninstall

* Thu Feb 23 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-4mdk
- Use mkrel
- Rename hal for cooker, hal 0.5.6 is requiring kernel >= 2.6.15

* Tue Jan 31 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-3mdk
- Disable hal support for now, 2.12.x doesn't like hal 0.5.6

* Wed Jan 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Rebuild with latest dbus

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- drop merged patch 15
- New release 2.12.2

* Mon Nov 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1.1-5mdk
- Patch16 (Ubuntu): update french translation

* Thu Nov 17 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1.1-4mdk
- Patch15 (CVS): fix mime cache handling

* Fri Oct 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1.1-3mdk
- register missing schemas
- don't build with hal on 2006.0

* Thu Oct 27 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1.1-2mdk
- enable hal

* Thu Oct 06 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1.1-1mdk
- drop patch 17
- New release 2.12.1.1

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Regenerate patches 7, 13 (gotz)
- Remove patches 15 & 16 (merged upstream)

* Tue Sep 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-9mdk 
- Move modules to lib package

* Tue Sep 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-8mdk 
- Patch17: fix build with samba 3.0.20

* Thu Sep 01 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-7mdk 
- Patch15 (CVS): use glib xdg function
- Patch16 (CVS): add support for mime subclass

* Tue Aug 09 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-6mdk 
- Drop patch15, not stable yet

* Fri Aug 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-5mdk 
- Patch15 (Federico): don't leak file descriptor when cancelling job
  (GNOME bug #123472)

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.10.1-4mdk
- Rebuild for libkrb53-devel 1.4.1

* Fri May 13 2005 Stefan van der Eijk <stefan@eijk.nu> 2.10.1-3mdk
- add Requires(post): Requires(preun): GConf2

* Sat Apr 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-2mdk 
- Patch14 : handle all %% parameters (Mdk bug #15357)

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.1-1mdk 
- Release 2.10.1 (based on Gtz Waschk package)
- remove patches 9, 11 (merged upstream)

* Tue Apr 05 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.8.4-6mdk
- Rebuild for libsmbclient

* Thu Mar 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4-5mdk 
- Patch13 (Ubuntu): handle better when mtab is modified while reading it

* Fri Mar 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4-4mdk 
- Update patch11

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.4-3mdk 
- Patch12: disable yelp as man: helper

* Fri Feb 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.8.4-2mdk
- multiarch

* Mon Feb 21 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.4-1mdk
- New release 2.8.4

* Mon Feb 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-5mdk 
- Patch10 (Fedora): add support for pamconsole mount option
- Patch11 (Fedora): fix HAL support

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-4mdk 
- Patch9 (CVS): workaround broken icecast server (fix last.fm stream)

* Tue Jan 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-3mdk 
- Fix mDNS support (Mdk bug #12888)

* Mon Jan 03 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.3-2mdk 
- Rebuild with latest howl

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- drop merged patches 10,11,12
- drop patch 9
- New release 2.8.3

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-1mdk
- New release 2.8.2
- Update patch5 (use www-browser script)
- Remove patches 6 & 8 (merged upstream)
- Patch8 (Fedora): handle about: url
- Patch9 (Fedora): fix compilation with latest HAL
- Patch10 (Fedora): fix buffer reading
- Patch11 (Fedora): Handle several mtab changes in the same second
- Patch12: remove debug messages

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-7mdk
- Patch8: fix smb browsing (CVS)

* Sat Sep 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.2-6mdk
- Fix upgrade from MDK9.2 -> MDK 10.1 
	"Installation failed: libsmbclient.so.0 is needed by gnome-vfs2-2.6.2-5mdk"

* Fri Sep 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-5mdk
- Patch7: fix MIME type detection on locale encoded filename (Mdk bug #11026)

* Thu Sep 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-4mdk
- fix buildrequires

* Sat Aug 21 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.2-3mdk
- add BuildRequires: intltool

* Tue Aug 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Patch6 (CVS): disable extfs, security fix

* Sat Aug 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Thu Aug 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-3mdk
- Enable litbtoolize

* Thu Apr 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1.1-2mdk
- Fix BuildRequires

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1.1-1mdk
- new version

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk
- Remove patch4, it is deadlocking

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Update patch 4 with original version from John McCutchan
- Remove patches 3 (tests are broken upstream) & 5 (merged upstream)
- Obsolete gnome-vfs-extra (smb merged, rio500 stuff dead and unmaintained)
- Patch5 (gw) : include patch from libgnome for the default web browser

